## python-mox3 0.7.0

=== requirements.txt ===
pbr>=0.5.21,<1.0

fixtures>=0.3.12

=== debian/changelog ===
python-mox3 (0.7.0-1build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:52:20 +0000

python-mox3 (0.7.0-1) unstable; urgency=low

  * Initial release. (Closes: #722049)

 -- Thomas Goirand <zigo@debian.org>  Fri, 06 Sep 2013 20:46:39 +0800

=== debian/control ===
Source: python-mox3
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Build-Depends-Indep: python-fixtures,
                     python-pbr (>= 0.5.21),
                     python-subunit,
                     python-testtools,
                     python3-fixtures,
                     python3-pbr (>= 0.5.21),
                     python3-subunit,
                     python3-testtools,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-mox3.git
Vcs-Git: git://anonscm.debian.org/openstack/python-mox3.git
Homepage: https://pypi.python.org/pypi/mox3

Package: python-mox3
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-fixtures (>= 0.3.12),
         python-pbr (>=0.5.21),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Mock object framework - Python 2.x
 Mox3 is an unofficial port of the Google mox framework (see
 http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
 with mox as possible, but small enhancements have been made. The library was
 tested on Python version 3.2, 2.7 and 2.6.
 .
 This package provides the Python 2.x module.

Package: python3-mox3
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-fixtures (>= 0.3.12),
         python3-pbr (>=0.5.21),
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Description: Mock object framework - Python 3.x
 Mox3 is an unofficial port of the Google mox framework (see
 http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
 with mox as possible, but small enhancements have been made. The library was
 tested on Python version 3.2, 2.7 and 2.6.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-mox3; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-mox3; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	python setup.py testr --slowest
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/m/mox3 mox3-(.*).tar.gz

## python-mox3 0.10.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.6

fixtures>=1.3.1

=== debian/changelog ===
python-mox3 (0.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:08:50 +0000

python-mox3 (0.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Switching to git based packaging.
  * Now also running unit tests for Py3.
  * Watch file now using github tag rather than broken PyPi.
  * Standards-Version is now 3.9.6.

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2015 10:02:44 +0200

python-mox3 (0.7.0-2) unstable; urgency=low

  * Calling testr and subunit correctly.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Oct 2013 15:07:18 +0800

=== debian/control ===
Source: python-mox3
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.6),
               python3-setuptools,
Build-Depends-Indep: python-fixtures (>= 1.3.1),
                     python-six (>= 1.9.0),
                     python-testtools (>= 1.4.0),
                     python3-fixtures (>= 1.3.1),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-mox3.git
Vcs-Git: git://anonscm.debian.org/openstack/python-mox3.git
Homepage: https://pypi.python.org/pypi/mox3

Package: python-mox3
Architecture: all
Depends: python-fixtures (>= 1.3.1),
         python-pbr (>= 1.6),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Description: Mock object framework - Python 2.7
 Mox3 is an unofficial port of the Google mox framework (see
 http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
 with mox as possible, but small enhancements have been made.
 .
 This package provides the Python 2.7 module.

Package: python3-mox3
Architecture: all
Depends: python3-fixtures (>= 1.3.1),
         python3-pbr (>= 1.6),
         ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Description: Mock object framework - Python 3.x
 Mox3 is an unofficial port of the Google mox framework (see
 http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
 with mox as possible, but small enhancements have been made.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/mox3.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-mox3; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-mox3; \
	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-mox3 0.14.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

fixtures>=1.3.1 # Apache-2.0/BSD

=== debian/changelog ===
python-mox3 (0.14.0-2+5~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:40:42 +0000

python-mox3 (0.14.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Uploading to unstable.
  * Fixed Homepage.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Apr 2016 17:27:54 +0000

python-mox3 (0.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed pbr version in (build-)depends, needed for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2016 10:42:25 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
                dh-python,
                openstack-pkg-tools,
                python-all,
-               python-pbr (>= 1.6),
+               python-pbr (>= 1.8),
                python-setuptools,
                python3-all,
-               python3-pbr (>= 1.6),
+               python3-pbr (>= 1.8),
                python3-setuptools,
 Build-Depends-Indep: python-fixtures (>= 1.3.1),
                      python-six (>= 1.9.0),
@@ -21,15 +21,15 @@
                      python3-testtools (>= 1.4.0),
                      subunit,
                      testrepository,
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-mox3.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-mox3.git
-Homepage: https://pypi.python.org/pypi/mox3
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-mox3?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-mox3 -b debian/newton
+Homepage: https://github.com/openstack/mox3
 
 Package: python-mox3
 Architecture: all
 Depends: python-fixtures (>= 1.3.1),
-         python-pbr (>= 1.6),
+         python-pbr (>= 1.8),
          ${misc:Depends},
          ${python:Depends}
 Recommends: ${python:Recommends}
@@ -43,7 +43,7 @@
 Package: python3-mox3
 Architecture: all
 Depends: python3-fixtures (>= 1.3.1),
-         python3-pbr (>= 1.6),
+         python3-pbr (>= 1.8),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: ${python3:Recommends}

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/openstack/mox3.git
+UPSTREAM_GIT := https://github.com/openstack/mox3.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

## python-mox3 0.20.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-mox3 (0.20.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 20 Jan 2017 09:43:17 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-mox3
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -12,23 +13,23 @@
                python3-all,
                python3-pbr (>= 1.8),
                python3-setuptools,
-Build-Depends-Indep: python-fixtures (>= 1.3.1),
+Build-Depends-Indep: python-fixtures (>= 3.0.0),
                      python-six (>= 1.9.0),
                      python-testtools (>= 1.4.0),
-                     python3-fixtures (>= 1.3.1),
+                     python3-fixtures (>= 3.0.0),
                      python3-six (>= 1.9.0),
                      python3-subunit,
                      python3-testtools (>= 1.4.0),
                      subunit,
-                     testrepository,
-Standards-Version: 3.9.8
-Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-mox3?h=debian%2Fnewton
-Vcs-Git: https://git.openstack.org/openstack/deb-python-mox3 -b debian/newton
+                     testrepository
+Standards-Version: 3.9.7
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mox3
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-mox3
 Homepage: https://github.com/openstack/mox3
 
 Package: python-mox3
 Architecture: all
-Depends: python-fixtures (>= 1.3.1),
+Depends: python-fixtures (>= 3.0.0),
          python-pbr (>= 1.8),
          ${misc:Depends},
          ${python:Depends}
@@ -42,7 +43,7 @@
 
 Package: python3-mox3
 Architecture: all
-Depends: python3-fixtures (>= 1.3.1),
+Depends: python3-fixtures (>= 3.0.0),
          python3-pbr (>= 1.8),
          ${misc:Depends},
          ${python3:Depends}

## python-mox3 0.24.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD

=== debian/changelog ===
python-mox3 (0.24.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:55:31 +0800

python-mox3 (0.24.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 17:39:23 +0100

python-mox3 (0.23.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist test_mox.RegexTest.testReprWithFlags() failing in Py 3.6.
  * Using pkgos-dh_auto_{install,test}.
  * Uploading to unstable:
    - Fix FTBFS under Python 3.6 (Closes: #867628).
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 11:40:19 +0000

=== debian/control ===
Source: python-mox3
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 python-fixtures,
 python-six,
 python-testtools (>= 2.2.0),
 python3-fixtures,
 python3-six,
 python3-subunit,
 python3-testtools (>= 2.2.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mox3
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mox3.git
Homepage: https://github.com/openstack/mox3

Package: python-mox3
Architecture: all
Depends:
 python-fixtures,
 python-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: Mock object framework - Python 2.7
 Mox3 is an unofficial port of the Google mox framework (see
 http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
 with mox as possible, but small enhancements have been made.
 .
 This package provides the Python 2.7 module.

Package: python3-mox3
Architecture: all
Depends:
 python3-fixtures,
 python3-pbr (>= 2.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: Mock object framework - Python 3.x
 Mox3 is an unofficial port of the Google mox framework (see
 http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
 with mox as possible, but small enhancements have been made.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/mox3.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'mox3\.tests(?!.*test_mox\.RegexTest\.testReprWithFlags.*)'
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-mox3 0.27.0

=== debian/changelog ===
python-mox3 (0.27.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:39:11 +0200

python-mox3 (0.27.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 11:58:38 +0100

=== debian/control ===
Source: python-mox3
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-fixtures,
 python3-six,
 python3-stestr,
 python3-testtools,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mox3
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mox3.git
Homepage: https://github.com/openstack/mox3

Package: python3-mox3
Architecture: all
Depends:
 python3-fixtures,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: Mock object framework - Python 3.x
 Mox3 is an unofficial port of the Google mox framework (see
 http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
 with mox as possible, but small enhancements have been made.
 .
 This package provides the Python 3.x module.

## python-mox3 0.28.0

=== debian/changelog ===
python-mox3 (0.28.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 20 Oct 2019 00:46:24 +0200

python-mox3 (0.28.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 22:31:43 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-stestr,
  python3-testtools,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-mox3
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-mox3.git
 Homepage: https://github.com/openstack/mox3

## python-mox3 1.0.0

=== debian/changelog ===
python-mox3 (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed Homepage field.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:16:53 +0200

python-mox3 (1.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Apr 2020 13:03:38 +0200

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  ${python3:Depends},
 Description: Mock object framework - Python 3.x
  Mox3 is an unofficial port of the Google mox framework (see
- http://code.google.com/p/pymox/) to Python 3. It was meant to be as compatible
- with mox as possible, but small enhancements have been made.
+ https://github.com/openstack/mox3) to Python 3. It was meant to be as
+ compatible with mox as possible, but small enhancements have been made.
  .
  This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/mox3.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'mox3\.tests(?!.*test_mox\.RegexTest\.testReprWithFlags.*)'
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/mox3/tags .*/(\d[\d\.]+)\.tar\.gz
